<?xml version="1.0" encoding="SHIFT_JIS"?>
<!--
  Written by Masaya YAMAGUCHI
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- \p -->

  <xsl:template match="at">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="news.css" type="text/css" />
	<title>
		<xsl:value-of select="@t"/>
		<xsl:text>F</xsl:text>
		(
		<xsl:value-of select="@y"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="@m"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="@d"/>
		)
	</title>
      </head>

      <body>
        <h1>
          <xsl:value-of select="@t" />
        </h1>
        <h2>
          <xsl:value-of select="@y" />-<xsl:value-of select="@m" />-<xsl:value-of select="@d" />
          i<xsl:value-of select="@p" />j
        </h2>
        <xsl:apply-templates/>
	<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
	<script type="text/javascript">
	  function downloadJSAtOnload() {location.href="#himawari";}
	  if (window.addEventListener)
	  window.addEventListener("load", downloadJSAtOnload, false);
	  else if (window.attachEvent)
	  window.attachEvent("onload", downloadJSAtOnload);
	  else window.onload = downloadJSAtOnload;
	</script>
      </body>
    </html>
</xsl:template>
<xsl:template match="b">
<br />
</xsl:template>

<xsl:template match="info">
  <p style="color:blue;">
    <xsl:value-of select="@text"/>
  </p>
</xsl:template>

  <xsl:template match="tg">
    <span class="target_char">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>

</xsl:stylesheet>
